Subject: Re: [PATCH v2 2/3] pwm: rockchip: Eliminate potential race condition when probing

From: Simon South <[email-masked]>
Date: Tue, 22 Dec 2020 11:26:59 -0500

Uwe Kleine-König <[email-masked]> writes:
> I wonder if the commit log should be more detailed about this, after
> reading it I thought the effect of the bug would be that the PWM stops
> even though it should oscillate.

Your understanding is correct; this was the result of confusion on my
part. I'll write a new commit message.

>> Also refactor the code slightly to eliminate goto targets as the
>> error handlers no longer share any recovery steps.
>
> This however makes it hard to review the patch. Maybe this refactoring
> can be split out?

I'll give this another shot, too.

-- 
Simon South
[email-masked]

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel